Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#52 igb 3.3.6 Link detected

closed
Todd Fujinaka
igb (31)
standalone_driver
5
2014-01-16
2012-01-06
liu dalin
No

I use igb 3.3.6 driver, run ifconfig ethX up time, link detected is no, you must run the ifconfig ethX down, ifconfig ethX up, in order to detect the line connection. Why is this?

dmesg | grep "version 3.3.6"

[ 3.581351] Intel(R) Gigabit Ethernet Network Driver - version 3.3.6

ifconfig eth2 up

ethtool eth2

Settings for eth2:
Supported ports: [ TP ]
Supported link modes: 10baseT/Half 10baseT/Full
100baseT/Half 100baseT/Full
1000baseT/Full
Supports auto-negotiation: Yes
Advertised link modes: 10baseT/Half 10baseT/Full
100baseT/Half 100baseT/Full
1000baseT/Full
Advertised auto-negotiation: Yes
Speed: Unknown!
Duplex: Unknown! (255)
Port: Twisted Pair
PHYAD: 6
Transceiver: internal
Auto-negotiation: on
Supports Wake-on: pumbg
Wake-on: g
Current message level: 0x00000007 (7)
Link detected: no

ifconfig eth2 down

ifconfig eth2 up

ethtool eth2

Settings for eth2:
Supported ports: [ TP ]
Supported link modes: 10baseT/Half 10baseT/Full
100baseT/Half 100baseT/Full
1000baseT/Full
Supports auto-negotiation: Yes
Advertised link modes: 10baseT/Half 10baseT/Full
100baseT/Half 100baseT/Full
1000baseT/Full
Advertised auto-negotiation: Yes
Speed: 1000Mb/s
Duplex: Full
Port: Twisted Pair
PHYAD: 6
Transceiver: internal
Auto-negotiation: on
Supports Wake-on: pumbg
Wake-on: g
Current message level: 0x00000007 (7)
Link detected: yes

Discussion

  • Sorry for the delay in responding. This should not be this way. I will try to reproduce this issue. Can you post the output of lspci -vvv so I can see your hardware configuration.

     
  • liu dalin
    liu dalin
    2012-01-11

    Hardware may be the reason, it is 'sfp' ethernet interface, replacement for the fiber interface is OK.I also tried not sfp card is Ok's

     
  • Thanks for the extra info. that will help with my repro. To confirm you see this with SFP copper modules and not with fiber or another non-SFP card? Can you still provide the output of lspci -vvv?

     
  • Todd Fujinaka
    Todd Fujinaka
    2013-07-09

    • status: open --> closed
     
  • Todd Fujinaka
    Todd Fujinaka
    2013-07-09

    Closing due to inactivity.

     
  • Harald Dunkel
    Harald Dunkel
    2013-10-07

    Would it be possible to reopen this report? I've got the same problem on 2 hosts, using igb version 5.0.3-k. Output of "lspci -vvv" is attached.

    There are 2 onboard interfaces eth0 and eth1, and a 4-port NIC eth[2345]. The onboard NICs work fine. For the NICs on the PCI card I have to run "ifconfig down; ifconfig up" to make them work. A reboot did not help.

     
  • Harald Dunkel
    Harald Dunkel
    2013-10-07

    • status: closed --> open
     
  • Harald Dunkel
    Harald Dunkel
    2013-10-07

     
  • Harald Dunkel
    Harald Dunkel
    2013-10-07

    output of lspci -vvv

     
    Attachments
  • Todd Fujinaka
    Todd Fujinaka
    2013-10-07

    The latest driver is igb-5.0.6. Can you send us the full dmesg from boot?

     
  • Todd Fujinaka
    Todd Fujinaka
    2013-10-07

    • assigned_to: Todd Fujinaka
     
  • Harald Dunkel
    Harald Dunkel
    2013-10-07

    Same result for 5.0.6. Attached is the output of dmesg. At the end of this file you see how eth2 becomes ready after a manual ifconfig-down-up cycle.

    Hope this helps.

     
    Attachments
  • Harald Dunkel
    Harald Dunkel
    2013-10-08

    PS: If you need the output of a customized kernel with some debug options enabled: This shouldn't be a problem. I would be glad to help.

     
  • Todd Fujinaka
    Todd Fujinaka
    2013-10-08

    Do you have the latest BIOS for your system?

    Can you send:
    CPU information (model number and speed)
    Motherboard information (model number)
    Memory (how much, what speed, what size)

    ethtool -e ethX
    ethtool -i ethX
    cat /proc/interrupts
    cat /var/log/messages
    uname -a
    cat /etc/*release

     
  • Todd Fujinaka
    Todd Fujinaka
    2013-10-08

    Also, it appears that this is a Dell motherboard. I think we need you to file a bug with them first.

     
  • Harald Dunkel
    Harald Dunkel
    2013-10-09

    It is an Intel mainboard S2600CP.

     
  • Todd Fujinaka
    Todd Fujinaka
    2013-10-09

    Where is the data I asked for?

    There is something odd with your system as the lspci shows a string in the on-board i350 NVM that says, "Dell". I would like all the previous info I asked for before, including the EEPROM dump from both the onboard Ethernet adapter and from the NIC.

    I will try to find out locally if that string is really supposed to be in your EEPROM image.

     
  • Todd Fujinaka
    Todd Fujinaka
    2013-10-09

    I did find out that the string was inadvertently left in the EEPROM image. We'll still need the rest of the information.

    Thanks.

     
  • Harald Dunkel
    Harald Dunkel
    2013-10-15

    Sorry for the delay.

    Attached you can find the information you have asked for. CPU, BIOS version, memory, etc. can be found in the output of dmidecode. A BIOS upgrade to version 02.01.0002 is not an option, because it doesn't boot, if the 3ware RAID controller is plugged in (I tried).

     
    Attachments
  • Hi,

    It seems to me that I faced the same problem on Dell PowerEdge T420 server with latest firmware.

    $ modinfo igb | grep ^version
    version:        5.0.5
    $ lspci | grep I350
    02:00.0 Ethernet controller: Intel Corporation I350 Gigabit Network Connection (rev 01)
    02:00.1 Ethernet controller: Intel Corporation I350 Gigabit Network Connection (rev 01)
    $ ifconfig eth2 up
    $ ethtool eth2
    Settings for eth2:
        Supported ports: [ TP ]
        Supported link modes:   10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
                                1000baseT/Full 
        Supports auto-negotiation: Yes
        Advertised link modes:  10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
                                1000baseT/Full 
        Advertised pause frame use: Symmetric
        Advertised auto-negotiation: Yes
        Speed: Unknown!
        Duplex: Unknown! (255)
        Port: Twisted Pair
        PHYAD: 1
        Transceiver: internal
        Auto-negotiation: on
        MDI-X: off
        Supports Wake-on: pumbg
        Wake-on: g
        Current message level: 0x00000007 (7)
                       drv probe link
        Link detected: no
    $ ifconfig eth2 down
    $ ifconfig eth2 up
    $ ethtool eth2
    Settings for eth2:
        Supported ports: [ TP ]
        Supported link modes:   10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
                                1000baseT/Full 
        Supports auto-negotiation: Yes
        Advertised link modes:  10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
                                1000baseT/Full 
        Advertised pause frame use: Symmetric
        Advertised auto-negotiation: Yes
        Speed: 1000Mb/s
        Duplex: Full
        Port: Twisted Pair
        PHYAD: 1
        Transceiver: internal
        Auto-negotiation: on
        MDI-X: off
        Supports Wake-on: pumbg
        Wake-on: g
        Current message level: 0x00000007 (7)
                       drv probe link
        Link detected: yes
     
    Attachments
  • I've updated driver to igb-5.0.6. I'll report if the issue is gone.

     
  • I was able to reproduce the problem with igb-5.0.6 as well:

    $ ethtool -i eth2
    driver: igb
    version: 5.0.6
    firmware-version: 1.56, 0x80000ad5, 14.5.9
    bus-info: 0000:02:00.0
    supports-statistics: yes
    supports-test: yes
    supports-eeprom-access: yes
    supports-register-dump: yes
    $ lspci | grep I350
    02:00.0 Ethernet controller: Intel Corporation I350 Gigabit Network Connection (rev 01)
    02:00.1 Ethernet controller: Intel Corporation I350 Gigabit Network Connection (rev 01)
    $ ifconfig eth2 up
    $ ethtool eth2
    Settings for eth2:
        Supported ports: [ TP ]
        Supported link modes:   10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
                                1000baseT/Full 
        Supports auto-negotiation: Yes
        Advertised link modes:  10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
                                1000baseT/Full 
        Advertised pause frame use: Symmetric
        Advertised auto-negotiation: Yes
        Speed: Unknown!
        Duplex: Unknown! (255)
        Port: Twisted Pair
        PHYAD: 1
        Transceiver: internal
        Auto-negotiation: on
        MDI-X: on
        Supports Wake-on: pumbg
        Wake-on: g
        Current message level: 0x00000007 (7)
                       drv probe link
        Link detected: no
    $ ifconfig eth2 down
    $ ifconfig eth2 up
    $ ethtool eth2
    Settings for eth2:
        Supported ports: [ TP ]
        Supported link modes:   10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
                                1000baseT/Full 
        Supports auto-negotiation: Yes
        Advertised link modes:  10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
                                1000baseT/Full 
        Advertised pause frame use: Symmetric
        Advertised auto-negotiation: Yes
        Speed: 1000Mb/s
        Duplex: Full
        Port: Twisted Pair
        PHYAD: 1
        Transceiver: internal
        Auto-negotiation: on
        MDI-X: on
        Supports Wake-on: pumbg
        Wake-on: g
        Current message level: 0x00000007 (7)
                       drv probe link
        Link detected: yes
     
  • Todd Fujinaka
    Todd Fujinaka
    2013-10-16

    Can you tell me the the kernel version you're using?

     
  • $ uname -r
    3.0.13-0.27-default
     
  • Todd Fujinaka
    Todd Fujinaka
    2013-10-16

    I completely misread this issue. The driver appears fine. I'm guessing this is a problem with NetworkManager or whatever you're using to bring the link up. This is in response to both, although I'm only looking at the dmesg from Harald.

    I'm not sure what Debian uses to manage network connections, but you'll have to submit a bug to Debian.

     
  • But if you look at my output of dmesg you will find that link is UP after system boot:

    [   57.733896] igb: eth2 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX/TX

    some time later it goes down:
    [ 2748.723902] igb: eth2 NIC Link is Down

    It's dual-port Intel I350 network adapter: eth2 is interconnected using Cat5e crossover cable (Auto-MDIX should be supported though) to the other Dell PowerEdge T420 server which has the same hardware and software configuration - it's a two-node HA cluster.

    I've tried to connect the second port of Intel I350 network adapter (eth3) to the switch, but I couldn't reproduce the problem.

    So, it seems to be a problem just within interlink of two Intel I350 Ethernet adapters.

    I've another IBM System x3650 M4 two-node cluster with the same setup, which has builtin Intel I350's:

    06:00.0 Ethernet controller: Intel Corporation I350 Gigabit Network Connection (rev 01)
    06:00.1 Ethernet controller: Intel Corporation I350 Gigabit Network Connection (rev 01)
    06:00.2 Ethernet controller: Intel Corporation I350 Gigabit Network Connection (rev 01)
    06:00.3 Ethernet controller: Intel Corporation I350 Gigabit Network Connection (rev 01)

    The problem isn't reproducible there at all.

    As a workaround I've downgraded the igb driver to 4.1.2 from Dell Software Repository, which did a trick:
    http://linux.dell.com/repo/hardware/latest/pet420/suse11_64/repoview/intel-igb.html

    You can find two outputs of lspci -vvv for I350 done on DELL and IBM servers in attachments.

     
    Last edit: Oleksandr Samoylyk 2013-10-17
  • Todd Fujinaka
    Todd Fujinaka
    2013-10-17

    Can you send an ethregs dump of both sides of the link? Ideally it would be good to get that before and after the failure.

    Thanks.

     
  • Todd Fujinaka
    Todd Fujinaka
    2013-10-23

    I'm still not convinced it's not the OS or perhaps your bridging configuration. Are there any indications in /var/log/messages as to what is happening?

    Bridging is handled by a completley different driver and we have no control over it.

     
  • Harald Dunkel
    Harald Dunkel
    2013-10-24

    I can reproduce this problem without a bridge configured.

    Have you considered trying to reproduce the problem, e.g. by using 2(!) I350 controllers? My servers with just a single I350 controller work fine (all using the same kernel and igb driver, of course).

     
  • Todd Fujinaka
    Todd Fujinaka
    2013-10-24

    Harald,
    We haven't seen the issue in our testing. Unfortunately, we don't support Debian. We test on the latest RHEL5 and RHEL6 as well as the latest SLES10 and SLES11. Have you reproduced the problem on any other distro than Debian?

    Thanks.

     
  • Todd Fujinaka
    Todd Fujinaka
    2013-10-24

    I should add that we also test the net and net-next kernels, but I'm thinking this is an OS configuration issue, so just replacing the kernel probably wouldn't change things.

     
  • Harald Dunkel
    Harald Dunkel
    2013-10-26

    I don't have Redhat or Suse. We are talking about problems with the most recently released version of the igb driver, which is not included in RedHat's or Suse's distro, anyway. Maybe we could agree upon trying igb 5.0.6 together with the most recent kernel released on http://kernel.org/ (i.e. 3.11.6)?

     
  • Todd Fujinaka
    Todd Fujinaka
    2013-12-02

    We don't see anything that shows this is a driver problem in your dmesg. We can't reproduce this issue.

    We also think this is an issue with your configuration and userland. Because of this, we don't think just changing the kernel will change anything.

    I am closing this issue.

     
  • Todd Fujinaka
    Todd Fujinaka
    2013-12-02

    • status: open --> closed